Package com.google.protobuf

# Class SingleFieldBuilderV3<MType extends AbstractMessage,BType extends AbstractMessage.Builder,IType extends MessageOrBuilder>

java.lang.Object
com.google.protobuf.SingleFieldBuilderV3<MType,BType,IType>

All Implemented Interfaces:
  `AbstractMessage.BuilderParent`

@Deprecated public class SingleFieldBuilderV3<MType extends AbstractMessage,BType extends AbstractMessage.Builder,IType extends MessageOrBuilder> extends Object implements AbstractMessage.BuilderParent
Deprecated.
This class is deprecated, and slated for removal in the next breaking change. Users should update gencode to >= 4.26.x which replaces SingleFieldBuilderV3 with SingleFieldBuilder.
Stub for SingleFieldBuilderV3 matching SingleFieldBuilder for compatibility with older gencode. This cannot wrap SingleFieldBuilder directly due to SingleFieldBuilder having more restrictive extends GeneratedMessage for MType and BType.

## Constructor Summary

Constructors
Constructor
Description
`SingleFieldBuilderV3(MType message, AbstractMessage.BuilderParent parent, boolean isClean)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`MType`
`build()`
Deprecated.
`SingleFieldBuilderV3<MType,BType,IType>`
`clear()`
Deprecated.
`void`
`dispose()`
Deprecated.
`BType`
`getBuilder()`
Deprecated.
`MType`
`getMessage()`
Deprecated.
`IType`
`getMessageOrBuilder()`
Deprecated.
`void`
`markDirty()`
Deprecated.
`SingleFieldBuilderV3<MType,BType,IType>`
`mergeFrom(MType value)`
Deprecated.
`SingleFieldBuilderV3<MType,BType,IType>`
`setMessage(MType message)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleFieldBuilderV3

@Deprecated public SingleFieldBuilderV3(MType message, AbstractMessage.BuilderParent parent, boolean isClean)
Deprecated.

## Method Details

### dispose

@Deprecated public void dispose()
Deprecated.

### getMessage

@Deprecated public MType getMessage()
Deprecated.

### build

@Deprecated public MType build()
Deprecated.

### getBuilder

@Deprecated public BType getBuilder()
Deprecated.

### getMessageOrBuilder

@Deprecated public IType getMessageOrBuilder()
Deprecated.

### setMessage

@Deprecated @CanIgnoreReturnValue public SingleFieldBuilderV3<MType,BType,IType> setMessage(MType message)
Deprecated.

### mergeFrom

@Deprecated @CanIgnoreReturnValue public SingleFieldBuilderV3<MType,BType,IType> mergeFrom(MType value)
Deprecated.

### clear

@Deprecated @CanIgnoreReturnValue public SingleFieldBuilderV3<MType,BType,IType> clear()
Deprecated.

### markDirty

@Deprecated public void markDirty()
Deprecated.
Description copied from interface: `AbstractMessage.BuilderParent`
A builder becomes dirty whenever a field is modified -- including fields in nested builders -- and becomes clean when build() is called. Thus, when a builder becomes dirty, all its parents become dirty as well, and when it becomes clean, all its children become clean. The dirtiness state is used to invalidate certain cached values.

To this end, a builder calls markDirty() on its parent whenever it transitions from clean to dirty. The parent must propagate this call to its own parent, unless it was already dirty, in which case the grandparent must necessarily already be dirty as well. The parent can only transition back to "clean" after calling build() on all children.

Specified by:
  `markDirty` in interface `AbstractMessage.BuilderParent`